Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1683)

Issue 6441058: Issue 1650: Multiple header blocks shall be merged rather than replace a previous one (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 years, 11 months ago by Reinhold
Modified:
6 years, 11 months ago
Reviewers:
dak
Visibility:
Public.

Description

Issue 1650: Multiple header blocks shall be merged rather than replace a previous one If there are two or more header blocks at top-, book-, bookpart- or score-level, the settings of all header blocks are merged. If a value appears in multiple blocks, the last assigment wins. Deprecated by issue 6445053

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+142 lines, -3 lines) Patch
A input/regression/header-book-multiple.ly View 1 chunk +30 lines, -0 lines 0 comments Download
A input/regression/header-book-multiplescores.ly View 1 chunk +27 lines, -0 lines 0 comments Download
A input/regression/header-bookpart-multiple.ly View 1 chunk +20 lines, -0 lines 0 comments Download
A input/regression/header-score-multiple.ly View 1 chunk +18 lines, -0 lines 0 comments Download
A input/regression/header-toplevel-multiple.ly View 1 chunk +16 lines, -0 lines 0 comments Download
M lily/parser.yy View 3 chunks +31 lines, -3 lines 2 comments Download

Messages

Total messages: 4
dak
http://codereview.appspot.com/6441058/diff/1/lily/parser.yy File lily/parser.yy (right): http://codereview.appspot.com/6441058/diff/1/lily/parser.yy#newcode932 lily/parser.yy:932: /* Copy the new header fields, i.e. overwrite existing, ...
6 years, 11 months ago (2012-07-27 05:09:22 UTC) #1
dak
On 2012/07/27 05:09:22, dak wrote: > http://codereview.appspot.com/6441058/diff/1/lily/parser.yy > File lily/parser.yy (right): > > http://codereview.appspot.com/6441058/diff/1/lily/parser.yy#newcode932 > ...
6 years, 11 months ago (2012-07-27 05:10:50 UTC) #2
Reinhold
On 2012/07/27 05:10:50, dak wrote: > > I think this is the wrong way to ...
6 years, 11 months ago (2012-07-27 11:02:16 UTC) #3
dak
6 years, 11 months ago (2012-07-28 08:01:50 UTC) #4
http://codereview.appspot.com/6441058/diff/1/lily/parser.yy
File lily/parser.yy (right):

http://codereview.appspot.com/6441058/diff/1/lily/parser.yy#newcode993
lily/parser.yy:993: /* Copy the new header fields, i.e. overwrite existing, but
preserve unchanged ones */
The problem with this approach is that bookparts are initialized from
$defaultheader.  That means if you have something like
\header { title = "global" }
\book { title = "book" \bookpart { piece = "whatever" ...
Then the \bookpart will have an effective title of "global".
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b